Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 20365 - When dialmode==auto, when link is dropped, defaultroute goes too.
When dialmode==auto, when link is dropped, defaultroute goes too.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: isdn-config (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-05 10:14 EST by David Woodhouse
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-06 12:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2000-11-05 10:14:35 EST
I have ISDN set up to dial-on-demand, with a default route set up through
ippp0.

However, when the link is taken down after the huptimeout expires, the
default route is also deleted, effectively disabling the dial-on-demand
functionality.

I tried removing the 'deldefaultroute' config option. I tried removing the
'defaultroute' option. I tried adding ippp0 as the GATEWAYDEV in
/etc/sysconfig/network.
Eventually it appears to work now I've also added an IP address as GATEWAY
in the same file.

isdn-config ought to do this for you, and it ought not need a static ip
address as the remote end of the link.

Also, why does it unconditionally disable all forms of compression? I've
edited the /etc/init.d/isdn script to 'modprobe bsd_comp' instead of adding
options to the ipppd command line to disable it.
Comment 1 Ngo Than 2000-11-10 09:14:04 EST
isdn-config-0.18-6 in rawhide fixes this problem (delete default gw)

I will extend isdn-config so that the user can configure compressionwithin GUI. 

Note You need to log in before you can comment on or make changes to this bug.